#ifndef FLASH_CONFIG_H
#define FLASH_CONFIG_H

#define APP_FLASH_BASE                 (0x08000000) /* Base flash */
#define APP_FLASH_SIZE                 (32 * 1024)  /* 32kB */
#define APP_FLASH_PAGE_SIZE            (128)        /* Strange */
#define APP_FLASH_SECTOR_SIZE          (4 * 1024)   /* 4kB */
#define APP_FLASH_SECTOR_ERASE_TIMEOUT (100)        /* 100ms (3ms in manual) */
#define APP_FLASH_PAGE_PROGRAM_TIMEOUT (50)         /* 50ms (1ms in manual) */
#define APP_FLASH_CHIP_ERASE_TIMEOUT   (100)        /* 100ms (4.5ms in manual) */

#endif  // FLASH_CONFIG_H
